StreamInitMessage (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.streaming.messages

## Class StreamInitMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamInitMessage

-     public class StreamInitMessage
      extends java.lang.Object

  StreamInitMessage is first sent from the node where `StreamSession` is started, to initiate corresponding `StreamSession` on the other side.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `description`
    `java.net.InetAddress` | `from`
    `boolean` | `isForOutgoing`
    `boolean` | `isIncremental`
    `boolean` | `keepSSTableLevel`
    `java.util.UUID` | `planId`
    `static IVersionedSerializer<StreamInitMessage>` | `serializer`
    `int` | `sessionIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamInitMessage(java.net.InetAddress from, int sessionIndex, java.util.UUID planId, java.lang.String description, boolean isForOutgoing, boolean keepSSTableLevel, boolean isIncremental)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `createMessage(boolean compress, int version)` Create serialized message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static IVersionedSerializer<StreamInitMessage> serializer

    - #### from

          public final java.net.InetAddress from

    - #### sessionIndex

          public final int sessionIndex

    - #### planId

          public final java.util.UUID planId

    - #### description

          public final java.lang.String description

    - #### isForOutgoing

          public final boolean isForOutgoing

    - #### keepSSTableLevel

          public final boolean keepSSTableLevel

    - #### isIncremental

          public final boolean isIncremental

  - ### Constructor Detail

    - #### StreamInitMessage

          public StreamInitMessage(java.net.InetAddress from,
                                   int sessionIndex,
                                   java.util.UUID planId,
                                   java.lang.String description,
                                   boolean isForOutgoing,
                                   boolean keepSSTableLevel,
                                   boolean isIncremental)

  - ### Method Detail

    - #### createMessage

          public java.nio.ByteBuffer createMessage(boolean compress,
                                                   int version)

      Create serialized message.
      Parameters:
        `compress` - true if message is compressed
        `version` - Streaming protocol version
      Returns:
        serialized message in ByteBuffer format

Copyright © 2018 The Apache Software Foundation